Package org.drinkless.tdlib

# Class TdApi.StoryRepostInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StoryRepostInfo

Enclosing class:
  `TdApi`

public static class TdApi.StoryRepostInfo extends TdApi.Object
Contains information about original story that was reposted.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isContentModified`
  True, if story content was modified during reposting; otherwise, story wasn't modified.
  `TdApi.StoryOrigin`
  `origin`
  Origin of the story that was reposted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoryRepostInfo()`
  Contains information about original story that was reposted.
  `StoryRepostInfo(TdApi.StoryOrigin origin, boolean isContentModified)`
  Contains information about original story that was reposted.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### origin

    public TdApi.StoryOrigin origin
    Origin of the story that was reposted.

  - ### isContentModified

    public boolean isContentModified
    True, if story content was modified during reposting; otherwise, story wasn't modified.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StoryRepostInfo

    public StoryRepostInfo()
    Contains information about original story that was reposted.

  - ### StoryRepostInfo

    public StoryRepostInfo(TdApi.StoryOrigin origin, boolean isContentModified)
    Contains information about original story that was reposted.
    Parameters:
      `origin` - Origin of the story that was reposted.
      `isContentModified` - True, if story content was modified during reposting; otherwise, story wasn't modified.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR